R9UPAK(3)

SYNOPSIS
SUBROUTINE R9UPAK (X, Y, N)

NAME
r9upak - Unpack a floating point number X so that X = Y*2**N.

LIBRARY
SLATEC (FNLIB)

CATEGORY
A6B

TYPE
SINGLE PRECISION (R9UPAK-S, D9UPAK-D)

KEYWORDS
FNLIB, UNPACK

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Unpack a floating point number X so that X = Y*2.0**N, where 0.5 .LE. ABS(Y) .LT. 1.0.

REFERENCES
(NONE)

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
780701 DATE WRITTEN
861211 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)